### Virtual Method

# Gio File create_readwrite_finish

since: 2.22

#### Declaration

    GFileIOStream*
    create_readwrite_finish (
      GFile* file,
      GAsyncResult* res,
      GError** error
    )

#### Description

Finishes an asynchronous file create operation started with g_file_create_readwrite_async().

Available since: 2.22

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFileIOStream`

A `GFileIOStream` or `NULL` on error. Free the returned object with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.